Package com.sap.ai.sdk.core.model

# Class BckndServiceBrokerSecret

java.lang.Object
com.sap.ai.sdk.core.model.BckndServiceBrokerSecret

public class BckndServiceBrokerSecret extends Object
BckndServiceBrokerSecret

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndServiceBrokerSecret()`
  Default constructor for BckndServiceBrokerSecret.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BckndServiceBrokerSecret`
  `create()`
  Create a new `BckndServiceBrokerSecret` instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndServiceBrokerSecret`.
  `String`
  `getName()`
  broker secret name
  `String`
  `getPasswordKeyRef()`
  username key reference in broker secret
  `String`
  `getUsernameKeyRef()`
  password key reference in broker secret
  `int`
  `hashCode()`
  `BckndServiceBrokerSecret`
  `name(String name)`
  Set the name of this `BckndServiceBrokerSecret` instance and return the same instance.
  `BckndServiceBrokerSecret`
  `passwordKeyRef(String passwordKeyRef)`
  Set the passwordKeyRef of this `BckndServiceBrokerSecret` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndServiceBrokerSecret` instance.
  `void`
  `setName(String name)`
  Set the name of this `BckndServiceBrokerSecret` instance.
  `void`
  `setPasswordKeyRef(String passwordKeyRef)`
  Set the passwordKeyRef of this `BckndServiceBrokerSecret` instance.
  `void`
  `setUsernameKeyRef(String usernameKeyRef)`
  Set the usernameKeyRef of this `BckndServiceBrokerSecret` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndServiceBrokerSecret` instance including unrecognized properties.
  `String`
  `toString()`
  `BckndServiceBrokerSecret`
  `usernameKeyRef(String usernameKeyRef)`
  Set the usernameKeyRef of this `BckndServiceBrokerSecret` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndServiceBrokerSecret

    protected BckndServiceBrokerSecret()
    Default constructor for BckndServiceBrokerSecret.

- ## Method Details

  - ### name

    @Nonnull public BckndServiceBrokerSecret name(@Nullable String name)
    Set the name of this `BckndServiceBrokerSecret` instance and return the same instance.
    Parameters:
      `name` - broker secret name
    Returns:
      The same instance of this `BckndServiceBrokerSecret` class

  - ### getName

    @Nonnull public String getName()
    broker secret name
    Returns:
      name The name of this `BckndServiceBrokerSecret` instance.

  - ### setName

    public void setName(@Nullable String name)
    Set the name of this `BckndServiceBrokerSecret` instance.
    Parameters:
      `name` - broker secret name

  - ### passwordKeyRef

    @Nonnull public BckndServiceBrokerSecret passwordKeyRef(@Nullable String passwordKeyRef)
    Set the passwordKeyRef of this `BckndServiceBrokerSecret` instance and return the same instance.
    Parameters:
      `passwordKeyRef` - username key reference in broker secret
    Returns:
      The same instance of this `BckndServiceBrokerSecret` class

  - ### getPasswordKeyRef

    @Nonnull public String getPasswordKeyRef()
    username key reference in broker secret
    Returns:
      passwordKeyRef The passwordKeyRef of this `BckndServiceBrokerSecret` instance.

  - ### setPasswordKeyRef

    public void setPasswordKeyRef(@Nullable String passwordKeyRef)
    Set the passwordKeyRef of this `BckndServiceBrokerSecret` instance.
    Parameters:
      `passwordKeyRef` - username key reference in broker secret

  - ### usernameKeyRef

    @Nonnull public BckndServiceBrokerSecret usernameKeyRef(@Nullable String usernameKeyRef)
    Set the usernameKeyRef of this `BckndServiceBrokerSecret` instance and return the same instance.
    Parameters:
      `usernameKeyRef` - password key reference in broker secret
    Returns:
      The same instance of this `BckndServiceBrokerSecret` class

  - ### getUsernameKeyRef

    @Nonnull public String getUsernameKeyRef()
    password key reference in broker secret
    Returns:
      usernameKeyRef The usernameKeyRef of this `BckndServiceBrokerSecret` instance.

  - ### setUsernameKeyRef

    public void setUsernameKeyRef(@Nullable String usernameKeyRef)
    Set the usernameKeyRef of this `BckndServiceBrokerSecret` instance.
    Parameters:
      `usernameKeyRef` - password key reference in broker secret

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndServiceBrokerSecret`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndServiceBrokerSecret` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndServiceBrokerSecret` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndServiceBrokerSecret` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndServiceBrokerSecret create()
    Create a new `BckndServiceBrokerSecret` instance. No arguments are required.